pcl::detail::GetPoint< PointT > Struct Template Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Member Functions

| GetPoint (PointT &point, std::size_t num)
template<typename AccumulatorT >
void | operator() (AccumulatorT &accumulator) const

## Public Attributes

PointT & | p
std::size_t | n

## Detailed Description

### template<typename PointT>
struct pcl::detail::GetPoint< PointT >

Definition at line 269 of file accumulators.hpp.

## Constructor & Destructor Documentation

## GetPoint()

template<typename PointT >

pcl::detail::GetPoint< PointT >::GetPoint | ( | PointT & | point,
|  | std::size_t | num
| ) |  |

inline

Definition at line 275 of file accumulators.hpp.

## Member Function Documentation

## operator()()

template<typename PointT >
template<typename AccumulatorT >

void pcl::detail::GetPoint< PointT >::operator() | ( | AccumulatorT & | accumulator | ) | const

inline

Definition at line 278 of file accumulators.hpp.

References pcl::detail::GetPoint< PointT >::n, and pcl::detail::GetPoint< PointT >::p.

## Member Data Documentation

## n

template<typename PointT >

std::size_t pcl::detail::GetPoint< PointT >::n

Definition at line 273 of file accumulators.hpp.

Referenced by pcl::detail::GetPoint< PointT >::operator()().

## p

template<typename PointT >

PointT& pcl::detail::GetPoint< PointT >::p

Definition at line 272 of file accumulators.hpp.

Referenced by pcl::detail::GetPoint< PointT >::operator()().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp